## ros-humble-image-transport 3.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(image_transport)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(message_filters REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

# Build image_transport library
add_library(${PROJECT_NAME}
  src/camera_common.cpp
  src/publisher.cpp
  src/subscriber.cpp
  src/single_subscriber_publisher.cpp
  src/camera_publisher.cpp
  src/camera_subscriber.cpp
  src/image_transport.cpp
)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} PUBLIC
  message_filters::message_filters
  rclcpp::rclcpp
  ${sensor_msgs_TARGETS})
target_link_libraries(${PROJECT_NAME} PRIVATE
  pluginlib::pluginlib)

target_compile_definitions(${PROJECT_NAME} PRIVATE "IMAGE_TRANSPORT_BUILDING_DLL")

# Build image_transport_plugins library (raw)
add_library(${PROJECT_NAME}_plugins
  src/manifest.cpp
)
add_library(${PROJECT_NAME}::${PROJECT_NAME}_plugins ALIAS ${PROJECT_NAME}_plugins)

target_link_libraries(${PROJECT_NAME}_plugins PRIVATE
  ${PROJECT_NAME}
  pluginlib::pluginlib)

# Build list_transports
add_executable(list_transports src/list_transports.cpp)
target_link_libraries(list_transports
  ${PROJECT_NAME}
  pluginlib::pluginlib)

# Build republish
add_executable(republish src/republish.cpp)
target_link_libraries(republish
  ${PROJECT_NAME}
  pluginlib::pluginlib)

# Install plugin descriptions
pluginlib_export_plugin_description_file(image_transport default_plugins.xml)

# Install libraries
install(
  TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME})

# Install executables
install(
  TARGETS list_transports republish
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

# Install include directories
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(message_filters rclcpp sensor_msgs pluginlib)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_cppcheck
  )
  ament_lint_auto_find_test_dependencies()

  ament_cppcheck(LANGUAGE "c++")

  find_package(ament_cmake_gtest)

  ament_add_gtest(${PROJECT_NAME}-camera_common test/test_camera_common.cpp)
  if(TARGET ${PROJECT_NAME}-camera_common)
    target_link_libraries(${PROJECT_NAME}-camera_common ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-publisher test/test_publisher.cpp)
  if(TARGET ${PROJECT_NAME}-publisher)
    target_link_libraries(${PROJECT_NAME}-publisher ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-subscriber test/test_subscriber.cpp)
  if(TARGET ${PROJECT_NAME}-subscriber)
    target_link_libraries(${PROJECT_NAME}-subscriber ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-message_passing test/test_message_passing.cpp)
  if(TARGET ${PROJECT_NAME}-message_passing)
    target_link_libraries(${PROJECT_NAME}-message_passing ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-remapping test/test_remapping.cpp)
  if(TARGET ${PROJECT_NAME}-remapping)
    target_link_libraries(${PROJECT_NAME}-remapping ${PROJECT_NAME})
  endif()

  ament_add_gtest(${PROJECT_NAME}-single_subscriber_publisher test/test_single_subscriber_publisher.cpp)
  if(TARGET ${PROJECT_NAME}-single_subscriber_publisher)
    target_link_libraries(${PROJECT_NAME}-single_subscriber_publisher ${PROJECT_NAME})
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-image-transport (3.1.7-1jammy) jammy; urgency=high

  * Fix downstream regressions due to subscribe overloads (#284 <https://github.com/ros-perception/image_common/issues/284>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 22:00:00 -0000

ros-humble-image-transport (3.1.6-1jammy) jammy; urgency=high

  * Expose callback groups - backport to humble (#277 <https://github.com/ros-perception/image_common/issues/277>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-image-transport (3.1.5-1jammy) jammy; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 23:00:00 -0000

ros-humble-image-transport (3.1.4-1jammy) jammy; urgency=high

  * Image transport publisher crash fixes (#235 <https://github.com/ros-perception/image_common/issues/235>)
  * Contributors: RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 23:00:00 -0000

ros-humble-image-transport (3.1.3-1jammy) jammy; urgency=high

  * Simple IT plugins shutdown (#225 <https://github.com/ros-perception/image_common/issues/225>)
  * Remove PLUGINLIB__DISABLE_BOOST_FUNCTIONS definition. (#226 <https://github.com/ros-perception/image_common/issues/226>)
  * Contributors: Chris Lalancette, RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-image-transport (3.1.2-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#221 <https://github.com/ros-perception/image_common/issues/221>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-image-transport (3.1.0-1jammy) jammy; urgency=high

  * Fix SimpleSubscriberPlugin (#195 <https://github.com/ros-perception/image_common/issues/195>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 22:00:00 -0000

ros-humble-image-transport (3.0.0-1jammy) jammy; urgency=high

  * Make sure to mark overridden methods as 'override'. (#192 <https://github.com/ros-perception/image_common/issues/192>)
  * Expose subscription options (#186 <https://github.com/ros-perception/image_common/issues/186>)
  * fix mistyping 'cammera_publisher.hpp -> camera_publisher.hpp' (#177 <https://github.com/ros-perception/image_common/issues/177>)
  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * make CameraPublisher::getNumSubscribers() work (#163 <https://github.com/ros-perception/image_common/issues/163>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Hye-Jong KIM, Michael Ferguson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 22:00:00 -0000

ros-humble-image-transport (2.3.0-1jammy) jammy; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Fix QoS initialization from RMW QoS profile (#158 <https://github.com/ros-perception/image_common/issues/158>)
  * Contributors: Jacob Perron, Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 22:00:00 -0000

ros-humble-image-transport (2.2.1-1jammy) jammy; urgency=high

  * add missing set header (#140 <https://github.com/ros-perception/image_common/issues/140>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-image-transport (2.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 22:00:00 -0000

ros-humble-image-transport (2.1.1-1jammy) jammy; urgency=high

  * Update to use new count APIs (#128 <https://github.com/ros-perception/image_common/issues/128>)
  * use latest ros2 API (#127 <https://github.com/ros-perception/image_common/issues/127>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-humble-image-transport (2.1.0-1jammy) jammy; urgency=high

  * Update ROS2 branch to account for new NodeOptions interface (#120 <https://github.com/ros-perception/image_common/issues/120>)
  * Contributors: Carl Delsey

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-humble-image-transport (2.0.0-1jammy) jammy; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Pointer api updates (#104 <https://github.com/ros-perception/image_common/issues/104>)
  * Fix rcutils API change by just removing it. (#103 <https://github.com/ros-perception/image_common/issues/103>)
  * [ROS2] corrections to remapping for raw images (#97 <https://github.com/ros-perception/image_common/issues/97>)
  * Make ROS2 ImageTransport conform to old api (#88 <https://github.com/ros-perception/image_common/issues/88>)
  * Image Transport ROS2 Port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 23:00:00 -0000

ros-humble-image-transport (1.11.13-1jammy) jammy; urgency=high

  * Disable image publisher plugins by name (#60 <https://github.com/ros-perception/image_common/issues/60>)
    * Disable publisher plugins by name


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-image-transport//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-image-transport 3.1.9

=== debian/changelog ===
ros-humble-image-transport (3.1.9-1bookworm) bookworm; urgency=high

  * backport whitelist feature to humble (#302 <https://github.com/ros-perception/image_common/issues/302>)
  * Contributors: Kenji Brameld

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-image-transport (3.1.8-1bookworm) bookworm; urgency=high

  * implement CameraSubscriber::getNumPublishers (#297 <https://github.com/ros-perception/image_common/issues/297>) (#298 <https://github.com/ros-perception/image_common/issues/298>)
  * Add missing definition for CameraPublisher::publish overload (#278 <https://github.com/ros-perception/image_common/issues/278>) (#294 <https://github.com/ros-perception/image_common/issues/294>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-image-transport (3.1.7-1bookworm) bookworm; urgency=high

  * Fix downstream regressions due to subscribe overloads (#284 <https://github.com/ros-perception/image_common/issues/284>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-image-transport (3.1.6-1bookworm) bookworm; urgency=high

  * Expose callback groups - backport to humble (#277 <https://github.com/ros-perception/image_common/issues/277>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-image-transport (3.1.5-1bookworm) bookworm; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 16:00:00 -0000

ros-humble-image-transport (3.1.4-1bookworm) bookworm; urgency=high

  * Image transport publisher crash fixes (#235 <https://github.com/ros-perception/image_common/issues/235>)
  * Contributors: RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-image-transport (3.1.3-1bookworm) bookworm; urgency=high

  * Simple IT plugins shutdown (#225 <https://github.com/ros-perception/image_common/issues/225>)
  * Remove PLUGINLIB__DISABLE_BOOST_FUNCTIONS definition. (#226 <https://github.com/ros-perception/image_common/issues/226>)
  * Contributors: Chris Lalancette, RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-image-transport (3.1.2-1bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#221 <https://github.com/ros-perception/image_common/issues/221>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-image-transport (3.1.0-1bookworm) bookworm; urgency=high

  * Fix SimpleSubscriberPlugin (#195 <https://github.com/ros-perception/image_common/issues/195>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 16:00:00 -0000

ros-humble-image-transport (3.0.0-1bookworm) bookworm; urgency=high

  * Make sure to mark overridden methods as 'override'. (#192 <https://github.com/ros-perception/image_common/issues/192>)
  * Expose subscription options (#186 <https://github.com/ros-perception/image_common/issues/186>)
  * fix mistyping 'cammera_publisher.hpp -> camera_publisher.hpp' (#177 <https://github.com/ros-perception/image_common/issues/177>)
  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * make CameraPublisher::getNumSubscribers() work (#163 <https://github.com/ros-perception/image_common/issues/163>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Hye-Jong KIM, Michael Ferguson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 16:00:00 -0000

ros-humble-image-transport (2.3.0-1bookworm) bookworm; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Fix QoS initialization from RMW QoS profile (#158 <https://github.com/ros-perception/image_common/issues/158>)
  * Contributors: Jacob Perron, Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 16:00:00 -0000

ros-humble-image-transport (2.2.1-1bookworm) bookworm; urgency=high

  * add missing set header (#140 <https://github.com/ros-perception/image_common/issues/140>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-image-transport (2.2.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-image-transport (2.1.1-1bookworm) bookworm; urgency=high

  * Update to use new count APIs (#128 <https://github.com/ros-perception/image_common/issues/128>)
  * use latest ros2 API (#127 <https://github.com/ros-perception/image_common/issues/127>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-humble-image-transport (2.1.0-1bookworm) bookworm; urgency=high

  * Update ROS2 branch to account for new NodeOptions interface (#120 <https://github.com/ros-perception/image_common/issues/120>)
  * Contributors: Carl Delsey

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 16:00:00 -0000

ros-humble-image-transport (2.0.0-1bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-image-transport
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/image_transport
Standards-Version: 3.9.2

Package: ros-humble-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-message-filters, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: image_transport should always be used to subscribe to and publish images.
 It provides transparent support for transporting images in low-bandwidth compressed formats. Examples (provided by separate plugin packages) include JPEG/PNG compression and Theora streaming video.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-image-transport//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-image-transport//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-image-transport//opt/ros/humble/opt/image_transport/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
